de.esprit.netsuite.server.cpu

## Class ServerThreadPoolManager

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.cpu.ServerThreadPoolManager

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, CloseableComponent, SimpleLogSupport, Dumpable, ServerObject<ServerContext>, java.lang.AutoCloseable

      public class ServerThreadPoolManager
      extends AbstractServerObject<ServerContext>
      implements CloseableComponent

  This class manages all server thread pools.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TOO_BUSY_NOTIFY_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerThreadPoolManager(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `AgentSleeperThreadPool` | `getAgentSleeperThreadPool()`
    `int` | `getAgentTimerCount()`
    `AgentTimerThreadPool` | `getAgentTimerPool()`
    `AgentWorkerThreadPool` | `getAgentWorkerThreadPool()`
    `BatchTaskExecutor` | `getBatchTaskExecutor()`
    `ConnectionThreadPool` | `getConnectionThreadPool()`
    `java.util.concurrent.ThreadPoolExecutor` | `getDefaultThreadPool()`
    `RequestServiceThreadPool` | `getRequestServiceThreadPool()`
    `TransferThreadPool` | `getTransferThreadPool()`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TOO_BUSY_NOTIFY_LIMIT

          public static final int TOO_BUSY_NOTIFY_LIMIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServerThreadPoolManager

          public ServerThreadPoolManager(ServerContext serverCtx)

  - ### Method Detail

    - #### getBatchTaskExecutor

          public BatchTaskExecutor getBatchTaskExecutor()

    - #### getConnectionThreadPool

          public ConnectionThreadPool getConnectionThreadPool()

    - #### getRequestServiceThreadPool

          public RequestServiceThreadPool getRequestServiceThreadPool()

    - #### getAgentWorkerThreadPool

          public AgentWorkerThreadPool getAgentWorkerThreadPool()

    - #### getAgentSleeperThreadPool

          public AgentSleeperThreadPool getAgentSleeperThreadPool()

    - #### getAgentTimerCount

          public int getAgentTimerCount()

    - #### getTransferThreadPool

          public TransferThreadPool getTransferThreadPool()

    - #### getDefaultThreadPool

          public java.util.concurrent.ThreadPoolExecutor getDefaultThreadPool()

    - #### getAgentTimerPool

          public AgentTimerThreadPool getAgentTimerPool()

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.